Summary:	Raw image processing software
Name:		rawtherapee
Version:	4.2
Release:	3
License:	GPLv3+ and MIT and IJG
Group:		Graphics
Url:		http://www.rawtherapee.com/
Source0:	http://rawtherapee.com/shared/source/%{name}-%{version}.tar.xz
Patch0:		rawtherapee-4.0.12-link.patch
Patch1:		dcraw-9.19-CVE-2013-1438.patch
Patch2:		rawtherapee-4.2-appstreamtweak.patch
# https://code.google.com/p/rawtherapee/issues/detail?id=2773
Patch3:		rawtherapee_CVE-2015-3885.patch
BuildRequires:	cmake >= 2.6
BuildRequires:	mercurial
BuildRequires:	bzip2-devel
BuildRequires:	gomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(expat) >= 2.0
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(giomm-2.4) >= 2.12
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0) >= 2.16
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:	pkgconfig(gtkmm-2.4) >= 2.22
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sigc++-2.0)
Requires:	hicolor-icon-theme

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%files
%doc AUTHORS.txt LICENSE.txt COMPILE.txt RELEASE_NOTES.txt
%{_bindir}/rawtherapee
%{_datadir}/rawtherapee
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/*xml
%{_iconsdir}/hicolor/*/apps/rawtherapee.png
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%global optflags %{optflags} -std=gnu++11
%cmake \
	-DBUILD_SHARED_LIBS=OFF
%make

%install
%makeinstall_std -C build

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee


%changelog

* Mon Dec 26 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.2-3
- (f0b87a3) Build with -std=gnu++11


